<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>NetPlayer (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NetPlayer (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NetPlayer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/player/HumanPlayer.html" title="class in towerwarspp.player"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/player/PlayerState.html" title="enum in towerwarspp.player"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/player/NetPlayer.html" target="_top">Frames</a></li>
<li><a href="NetPlayer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.player</div>
<h2 title="Class NetPlayer" class="title">Class NetPlayer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.rmi.server.RemoteObject</li>
<li>
<ul class="inheritance">
<li>java.rmi.server.RemoteServer</li>
<li>
<ul class="inheritance">
<li>java.rmi.server.UnicastRemoteObject</li>
<li>
<ul class="inheritance">
<li>towerwarspp.player.NetPlayer</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.rmi.Remote, <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">NetPlayer</span>
extends java.rmi.server.UnicastRemoteObject
implements <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></pre>
<div class="block">Implementation of the <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> Interface that can be used to offer any of the other <a href="../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a>
 on a local RMI. During the  constructor call a <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> object has to be passed. Calling the <a href="../../towerwarspp/player/NetPlayer.html#request--"><code>request()</code></a>,
 <a href="../../towerwarspp/player/NetPlayer.html#confirm-towerwarspp.preset.Status-"><code>confirm(Status)</code></a>, <a href="../../towerwarspp/player/NetPlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-"><code>update(Move, Status)</code></a> and <a href="../../towerwarspp/player/NetPlayer.html#init-int-towerwarspp.preset.PlayerColor-"><code>init(int, PlayerColor)</code></a> methods on a NetPlayer will
 call the equivalent methods on the NetPlayers <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> instance.
 As with sub classes of <a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player"><code>BasePlayer</code></a> request() - confirm() and makeMove() must be called in the correct order.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>08-07-17</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alexander Wähling</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../serialized-form.html#towerwarspp.player.NetPlayer">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/NetPlayer.html#hasView">hasView</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/NetPlayer.html#player">player</a></span></code>
<div class="block"><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> instance to which this NetPlayer is connected.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/NetPlayer.html#view">view</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.rmi.server.RemoteObject">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.rmi.server.RemoteObject</h3>
<code>ref</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/player/NetPlayer.html#NetPlayer-towerwarspp.preset.Player-">NetPlayer</a></span>(<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;player)</code>
<div class="block">Construct a new NetPlayer object tat is linked to the passed <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/player/NetPlayer.html#NetPlayer-towerwarspp.preset.Player-towerwarspp.io.View-">NetPlayer</a></span>(<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;player,
         <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/NetPlayer.html#confirm-towerwarspp.preset.Status-">confirm</a></span>(<a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Calling confirm() method will invoke a <a href="../../towerwarspp/preset/Player.html#confirm-towerwarspp.preset.Status-"><code>Player.confirm(Status)</code></a> call.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/NetPlayer.html#init-int-towerwarspp.preset.PlayerColor-">init</a></span>(int&nbsp;size,
    <a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;color)</code>
<div class="block">Method to initialize current NetPlayer.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/NetPlayer.html#request--">request</a></span>()</code>
<div class="block">Calling the request() method will invoke a <a href="../../towerwarspp/preset/Player.html#request--"><code>Player.request()</code></a> call.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/NetPlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></span>(<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
      <a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Calling makeMove() will invoke a <a href="../../towerwarspp/preset/Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-"><code>Player.update(Move, Status)</code></a> call.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.rmi.server.UnicastRemoteObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.rmi.server.UnicastRemoteObject</h3>
<code>clone, exportObject, exportObject, exportObject, unexportObject</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.rmi.server.RemoteServer">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.rmi.server.RemoteServer</h3>
<code>getClientHost, getLog, setLog</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.rmi.server.RemoteObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.rmi.server.RemoteObject</h3>
<code>equals, getRef, hashCode, toString, toStub</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="player">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>player</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a> player</pre>
<div class="block"><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> instance to which this NetPlayer is connected. All method calls on this NetPlayer will invoke the
 corresponding calls on this Player instance. E.g. if <a href="../../towerwarspp/player/NetPlayer.html#request--"><code>request()</code></a> is called on a NetPlayer, the netPlayer will
 call <a href="../../towerwarspp/preset/Player.html#request--"><code>Player.request()</code></a>.</div>
</li>
</ul>
<a name="view">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>view</h4>
<pre>private&nbsp;<a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a> view</pre>
</li>
</ul>
<a name="hasView">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hasView</h4>
<pre>private&nbsp;boolean hasView</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="NetPlayer-towerwarspp.preset.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NetPlayer</h4>
<pre>public&nbsp;NetPlayer(<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;player)
          throws java.lang.Exception</pre>
<div class="block">Construct a new NetPlayer object tat is linked to the passed <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> object. Player reference can not be
 null. If null is passed an exception is thrown.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> instance to link NetPlayer with</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - if null is passed</dd>
</dl>
</li>
</ul>
<a name="NetPlayer-towerwarspp.preset.Player-towerwarspp.io.View-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NetPlayer</h4>
<pre>public&nbsp;NetPlayer(<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;player,
                 <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view)
          throws java.lang.Exception</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="request--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>request</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;request()
             throws java.lang.Exception</pre>
<div class="block">Calling the request() method will invoke a <a href="../../towerwarspp/preset/Player.html#request--"><code>Player.request()</code></a> call.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Player.html#request--">request</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Move returned by <a href="../../towerwarspp/preset/Player.html#request--"><code>Player.request()</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - if request() is not called after <a href="../../towerwarspp/player/NetPlayer.html#init-int-towerwarspp.preset.PlayerColor-"><code>init(int, PlayerColor)</code></a> or <a href="../../towerwarspp/player/NetPlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-"><code>update(Move, Status)</code></a></dd>
</dl>
</li>
</ul>
<a name="confirm-towerwarspp.preset.Status-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>confirm</h4>
<pre>public&nbsp;void&nbsp;confirm(<a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)
             throws java.lang.Exception</pre>
<div class="block">Calling confirm() method will invoke a <a href="../../towerwarspp/preset/Player.html#confirm-towerwarspp.preset.Status-"><code>Player.confirm(Status)</code></a> call.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Player.html#confirm-towerwarspp.preset.Status-">confirm</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>boardStatus</code> - <a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset"><code>Status</code></a> to confirm Players own status with.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - Throws an Exception in case the method is invoked in the wrong order, or <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>'s board
                   status differs from passed one, or is <a href="../../towerwarspp/preset/Status.html#ILLEGAL"><code>Status.ILLEGAL</code></a>.</dd>
</dl>
</li>
</ul>
<a name="update-towerwarspp.preset.Move-towerwarspp.preset.Status-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;void&nbsp;update(<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
                   <a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)
            throws java.lang.Exception</pre>
<div class="block">Calling makeMove() will invoke a <a href="../../towerwarspp/preset/Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-"><code>Player.update(Move, Status)</code></a> call.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>opponentMove</code> - opponents move to place on own Board</dd>
<dd><code>boardStatus</code> - opponents board status after Move to validate against own status</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - is thrown if method is called in wrong order, or status is ILLEGAL or different from passed status</dd>
</dl>
</li>
</ul>
<a name="init-int-towerwarspp.preset.PlayerColor-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;void&nbsp;init(int&nbsp;size,
                 <a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;color)
          throws java.lang.Exception</pre>
<div class="block">Method to initialize current NetPlayer. calling it will invoke <a href="../../towerwarspp/preset/Player.html#init-int-towerwarspp.preset.PlayerColor-"><code>Player.init(int, PlayerColor)</code></a>.
 A new Board is created with specified board size and color is set to passed
 playerColor. Also if view != null it's setViewer() method is called with the board.viewer() as argument and view.visualize()
 is called.
 <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>'s state is set depending on passed playerColor. If <a href="../../towerwarspp/preset/PlayerColor.html#BLUE"><code>PlayerColor.BLUE</code></a> is passed state is set to UPDATE,
 if <a href="../../towerwarspp/preset/PlayerColor.html#RED"><code>PlayerColor.RED</code></a> is set to REQUEST.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Player.html#init-int-towerwarspp.preset.PlayerColor-">init</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>size</code> - size of <a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> to play on.</dd>
<dd><code>color</code> - <a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> of player</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NetPlayer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/player/HumanPlayer.html" title="class in towerwarspp.player"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/player/PlayerState.html" title="enum in towerwarspp.player"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/player/NetPlayer.html" target="_top">Frames</a></li>
<li><a href="NetPlayer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
